> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get the webhook call details GET https://api.contentful.com/spaces/{space_id}/webhooks/{webhook_id}/calls/{call_id} Reference: https://contentful.com/developers/docs/references/content-management-api/webhook-calls/get-the-webhook-call-details ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `webhook_id` (string, required) — ID of the webhook in form of a string - `call_id` (string, required) — ID of the webhook call in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "errors": [], "eventType": "publish", "request": { "body": "{}", "headers": { "Content-Type": "application/vnd.contentful.management.v1+json", "X-Contentful-Topic": "ContentManagement.Entry.publish" }, "method": "POST", "url": "https://webhooks.example.com/endpoint" }, "requestAt": "2025-02-15T13:02:35.000Z", "response": { "body": "ok", "headers": { "Content-Length": "2", "Content-Type": "text/html; charset=utf-8" }, "statusCode": 200, "url": "https://webhooks.example.com/endpoint" }, "responseAt": "2025-02-15T13:02:35.184Z", "statusCode": 200, "sys": { "createdAt": "2025-06-16T00:32:18.000Z", "createdBy": { "sys": { "id": "foobar", "linkType": "WebhookDefinition", "type": "Link" } }, "id": "bar", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "WebhookCallDetails" }, "url": "https://webhooks.example.com/endpoint" } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // First: Fetch a webhook. client .webhooks() .async() .fetchOne( "", "", new CMACallback() { @Override protected void onSuccess(CMAWebhook webhook) { // Next: Fetch all the calls. client .webhooks() .async() .calls( webhook, new CMACallback>() { @Override protected void onSuccess(CMAArray calls) { // Now use the first id to fetch the detail final CMAWebhookCall firstCall = calls .getItems() .get(0); final String firstCallId = firstCall .getId(); client .webhooks() .async() .callDetails( firstCall, new CMACallback() { @Override protected void onSuccess(CMAWebhookCallDetail result) { // You have walked down the rabbit hole and found the details of the call. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Fetching the call detail of a webhoook was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that webhook call." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch the webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // First: Fetch an webhook. final CMAWebhook webhook = client .webhooks() .fetchOne( "", ""); // Next: Fetch all the calls. final CMAArray calls = client .webhooks() .calls(webhook); // Now use the first call to fetch the detail final CMAWebhookCall firstCall = calls .getItems() .get(0); final CMAWebhookCallDetail detail = client .webhooks() .callDetails( firstCall ); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // First: Fetch an webhook. val webhook = client .webhooks() .fetchOne( "", "") // Next: Fetch all the calls. val calls = client .webhooks() .calls(webhook) // Now use the first call to fetch the detail val firstCall = calls .items[0] val detail = client .webhooks() .callDetails( firstCall ) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getWebhook('')) .then((webhook) => webhook.getCall('')) .then((response) => console.log(response)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const webhookCall = await client.webhook.getCallDetails({ spaceId: '', webhookDefinitionId: '', callId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $call = $space->getWebhookCall('', ''); // Alternatively, from a webhook $webhook = $space->getWebhook(''); $call = $webhook->getCall(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') call = client.webhook_calls('', '').find('') # Alternatively, from a webhook call = webhook.webhook_calls.find('') ``` ```python Python from contentful_management import Client client = Client('') call = client.webhook_calls('', '').find('') # Alternatively, from a webhook call = webhook.calls().find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var calldetail = await client.GetWebhookCallDetails("", ""); ```